version: "3"

services:

  promtail:
    image: grafana/promtail:3.1.0@sha256:b3db8e7b1cba0e8c45ce2ae72ebddfd88ebdcae86383f1680edf0074e9010ff6
    volumes:
      - /var/lib/docker/containers:/var/lib/docker/containers
      - ./:/promtail
    command: -config.file=/promtail/promtail-config.yaml -config.expand-env=true
    environment:
      LOKI_URL: ${LOKI_URL}
      TOPIC_LABEL: ${TOPIC_LABEL}
      PROMTAIL_PWD: ${PROMTAIL_PWD}
    ports:
     - "9080:9080"
